﻿Partial Public Class ResultContextMenu
    Inherits UserControl

    Private _Parent As ResultContainer
    Private _Item As TreeViewItem

#Region "Public Methods"
    Public Sub New()
        InitializeComponent()
    End Sub

    Public Sub SetParent(ByVal TheParent As ResultContainer)
        _Parent = TheParent
    End Sub

    Public Sub SetItem(ByVal TheItem As TreeViewItem)
        _Item = TheItem
    End Sub
#End Region

#Region "Handlers"
    Private Sub btnZoom_Click(ByVal sender As System.Object, ByVal e As System.Windows.RoutedEventArgs) Handles btnZoom.Click
        _Parent.ZoomItem(_Item)
    End Sub

    Private Sub btnPan_Click(ByVal sender As System.Object, ByVal e As System.Windows.RoutedEventArgs) Handles btnPan.Click
        _Parent.PanItem(_Item)
    End Sub

    Private Sub btnIdentify_Click(ByVal sender As System.Object, ByVal e As System.Windows.RoutedEventArgs) Handles btnIdentify.Click
        _Parent.IdentifyItem(_Item)
    End Sub

    Private Sub btnUnselect_Click(ByVal sender As System.Object, ByVal e As System.Windows.RoutedEventArgs) Handles btnUnselect.Click
        _Parent.UnselectItem(_Item)
    End Sub

    Private Sub btnDelete_Click(ByVal sender As System.Object, ByVal e As System.Windows.RoutedEventArgs) Handles btnDelete.Click
        _Parent.DeleteItem(_Item)
    End Sub

    Private Sub btnCancel_Click(ByVal sender As System.Object, ByVal e As System.Windows.RoutedEventArgs) Handles btnCancel.Click
        _Parent.CancelItem()
    End Sub

    Private Sub UserControl_KeyDown(ByVal sender As System.Object, ByVal e As System.Windows.Input.KeyEventArgs) Handles Me.KeyDown
        If e.Key = Key.Escape Then
            _Parent.CancelItem()
        End If
    End Sub
#End Region

End Class
