﻿Partial Public Class TaskMenu
    Inherits UserControl

    Private _Parent As MainPage

    Public Sub New()
        InitializeComponent()
    End Sub

    Public Sub SetParent(ByVal TheParent As MainPage)
        ' Assumes that MainPage supports GetTaskList and OpenTask
        _Parent = TheParent
        Dim TaskList() As String = TheParent.GetTaskList()
        For Each sTask As String In TaskList
            cbTaskList.Items.Add(sTask)
        Next
    End Sub

    Private Sub cbTaskList_SelectionChanged(ByVal sender As System.Object, ByVal e As System.Windows.Controls.SelectionChangedEventArgs) Handles cbTaskList.SelectionChanged
        If cbTaskList.SelectedIndex = 0 Then
            Exit Sub
        End If
        Dim sTask As String = cbTaskList.SelectedItem.ToString()
        _Parent.OpenTask(sTask)
        cbTaskList.SelectedIndex = 0
    End Sub

End Class
