﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace $safeprojectname$
{
    public partial class TaskMenu : UserControl
    {

        private MainPage _Parent;

        public TaskMenu()
        {
            InitializeComponent();
            cbTaskList.SelectionChanged += cbTaskList_SelectionChanged;
        }

        public void SetParent(MainPage TheParent)
        {
            // Assumes that MainPage supports GetTaskList and OpenTask
            _Parent = TheParent;
            string[] TaskList = TheParent.GetTaskList();
            foreach (string sTask in TaskList)
                cbTaskList.Items.Add(sTask);
        }

        private void cbTaskList_SelectionChanged(Object sender, SelectionChangedEventArgs e)
        {
            if (cbTaskList.SelectedIndex == 0)
                return;
            string sTask = cbTaskList.SelectedItem.ToString();
            _Parent.OpenTask(sTask);
            cbTaskList.SelectedIndex = 0;
        }
    }
}
